Hourglass9 can't find injectable FBI files???

Discussion in '3DS - Flashcards & Custom Firmwares' started by turbosheep, Oct 12, 2016.

  1. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
    [​IMG]

    I put all the files in the right place, like stated in in the guide.
    https://github.com/Plailect/Guide/wiki/Part-3-(A9LH)

    When booting into Hourglass9 (holding start), after following all the other steps, I can't select any of these fbi apps when trying to inject FBI into the Health&Safety app!
    Hourglass only sees the hs.app that I dumped before. Does anyone have any idea why??

    It's an OG 3DS, JP.
    Started on 9.9, downgraded, did the 2.1.0 part and am now trying the last a9hl part of the guide.
     
  2. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    Did you try injecting your own?
     
  3. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
    No - I'm kind of afraid to 'disobey' the guide, and there's no troubleshoot or exceptions in his guide for this scenario.
     
  4. AnalogMan

    AnalogMan ultraSuMoFramework Dev

    Member
    1,523
    1,018
    Apr 20, 2007
    United States
  5. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
  6. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
    Alright - progress.
    This time I could create a fbi.app that Hourglass could read and successfully install.
    Only problem is that FBI launches into a black screen. Tried this a couple of times, different FBI files and an original hs.app dumped from the 3DS.
    Also, even when I use a app. with a banner, there's no actual banner displayed.

    Any suggestions?
     
  7. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    It sounds as though you don't have signature patches enabled. Do you definitely have a9lh installed? Did you already update from 2.1 either with a NAND backup or updating from system Settings?
     
  8. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
    I'll try and answer as best I can.
    1. I'm not sure if a9hl is installed - how can I check? I'm on this page: https://github.com/Plailect/Guide/wiki/Part-3-(A9LH)
    Tried to follow it to the letter, only got stuck on the part where Hourglass can't find the injectable fbi app even though they're clearly on the SD in the right folder.

    2. Update from 2.1? System settings still say I'm on 2.1.0-4J. I didn't do a nandbackup.
     
  9. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    That's why it won't work. You need to update first.

    — Posts automatically merged - Please don't double post! —

     
  10. turbosheep
    OP

    turbosheep Member

    Newcomer
    31
    2
    Oct 10, 2016
    Netherlands
    You were totally right and I'm a giant idiot.
    I know why I skipped that part - I can't read Japanese fluently and when I updated earlier it actually failed (but I thought the System had updated).
    Now updated, everything's fine, thanks so much! :)
     
    Quantumcat likes this.
  11. nWo

    nWo Member

    Newcomer
    19
    6
    Oct 20, 2016
    Mexico

    Hi, well i have the same problem, but worse, because I can´t update from the system settings. Also, i didn´t do a Nand Backup before this point (now I have one backup but at this point). So, I have a 2.1.4, FBI inject doesn´t recognize any files to inject, and in system settings can´t update. What can I do? I have done many things but nothing worked. I have a gamecard that updates my 3DS to 9.9, but the inject files still doesn´t show up. Thank you for your help.

    EDIT: System Settings gets me "Error has ocurred. Could not update. System will reboot" something like that.
     
    Last edited by nWo, Nov 2, 2016
  12. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    Use InjectorHelper.jar from quantumc.at
     
  13. nWo

    nWo Member

    Newcomer
    19
    6
    Oct 20, 2016
    Mexico
    Hi!! Okay so here is the update. I used your injector helper , great tool, a sincere thanks to you for helping this way. So I injected it and the Hb launcher, and luma, everything it´s great. The only one problem that remains, I can´t update the system so I´m stuck on 9.9. Thank you again for the injector, it really helped. What can I do to update? Almost at the very end, it stops and marks error.
     
    Quantumcat likes this.
  14. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    You could get the latest firmware files from 3DNUS or that ISO site and update using sysupdater.
    Or, try again the normal way if you can get a stronger internet connection (that may or may not be the problem), or, leave your 3DS in sleep mode for a few hours somewhere where it had access to the internet - it will hopefully download the update and make the installation of it very fast.
     
  15. nWo

    nWo Member

    Newcomer
    19
    6
    Oct 20, 2016
    Mexico
    Well here is the latest problem. It worked (3DNUS) now my system it's 11.2.0-35. Problem is, when i want to update a game or use something that uses Internet, the console shows "To use online services a system update is required." So what does this mean? In settings it says clearly 11.2.0 so, I don't know what to do anymore.
     
  16. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    Do you have any downgraded titles like MSET or a custom home menu?
     
  17. nWo

    nWo Member

    Newcomer
    19
    6
    Oct 20, 2016
    Mexico
    Well, no, but i did the plailect guide and there is a part where you downgrade to 2.0 but after that go back to 10.4. I had no problems there. My problem started with not being capable to inject FBI. (SOLVED BY YOU) How can I remove or restore this functionality? Updating manually is annoying.
     
    Quantumcat likes this.
  18. Quantumcat

    Quantumcat Dead and alive

    Member
    11,577
    6,223
    Nov 23, 2014
    Australia
    Canberra, Australia
    I don't know :-/ maybe try the homebrew downgrade checker, it will tell you the status of your system titles and whether any are mismatched. I wouldn't be able to provide you with a diagnosis given this info but others might.
     
  19. nWo

    nWo Member

    Newcomer
    19
    6
    Oct 20, 2016
    Mexico
    Could it help if I use tiny format and then reinstall a fw update?